# Created by pyp2rpm-3.3.4
%global pypi_name imageio

Name:           python-%{pypi_name}
Version:        2.9.0
Release:        1%{?dist}
Summary:        Library for reading and writing a wide range of image, video, scientific, and volumetric data formats

License:        BSD-2-Clause
URL:            https://github.com/imageio/imageio
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(astropy)
BuildRequires:  python3dist(gdal)
BuildRequires:  python3dist(imageio-ffmpeg)
#BuildRequires:  python3dist(itk)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
 Imageio is a Python library that provides an easy interface to read and write
a wide range of image data, including animated images, volumetric data, and
scientific formats. It is cross-platform, runs on Python 3.5+, and is easy to
install.Main website: Release notes: code-block:: python

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(astropy)
Requires:       python3dist(gdal)
Requires:       python3dist(imageio-ffmpeg)
Requires:       python3dist(itk)
Requires:       python3dist(numpy)
Requires:       python3dist(pillow)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 Imageio is a Python library that provides an easy interface to read and write
a wide range of image data, including animated images, volumetric data, and
scientific formats. It is cross-platform, runs on Python 3.5+, and is easy to
install.Main website: Release notes: code-block:: python

%package -n python-%{pypi_name}-doc
Summary:        imageio documentation
%description -n python-%{pypi_name}-doc
Documentation for imageio

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build
# generate html docs
#PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
##%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
# tests/README.md
%{_bindir}/imageio_download_bin
%{_bindir}/imageio_remove_bin
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc LICENSE
#html
%license LICENSE

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.9.0-1
- Initial package.
